Orxonox: orxonox::SynchronisableHeader Class Reference

# orxonox::SynchronisableHeader Class Reference

: stores information about a Synchronisable More...

`#include <src/network/synchronisable/Synchronisable.h>`

List of all members.

## Public Member Functions

uint32_t | getClassID () const
uint32_t | getCreatorID () const
uint32_t | getDataSize () const
uint32_t | getObjectID () const
bool | isDataAvailable () const
void | operator= (SynchronisableHeader &h)
void | setClassID (uint32_t classID)
void | setCreatorID (uint32_t creatorID)
void | setDataAvailable (bool b)
void | setDataSize (uint32_t size)
void | setObjectID (uint32_t objectID)
| SynchronisableHeader (uint8_t *data)

## Static Public Member Functions

static uint32_t | getSize ()

## Private Attributes

uint8_t * | data_

## Detailed Description

: stores information about a Synchronisable

This class stores the information about a Synchronisable (objectID, classID, creatorID, dataSize) in an emulated bitset. Bit 1 to 31 store the size of the Data the synchronisable consumes in the stream Bit 32 is a bool and defines whether the data is actually stored or is just filled up with 0 Byte 5 to 8: objectID Byte 9 to 12: classID Byte 13 to 16: creatorID

## Constructor & Destructor Documentation

orxonox::SynchronisableHeader::SynchronisableHeader | ( | uint8_t * | data | ) | `[inline]`

## Member Function Documentation

uint32_t orxonox::SynchronisableHeader::getClassID | ( |  | ) | const`[inline]`

Referenced by orxonox::Synchronisable::fabricate(), and orxonox::Synchronisable::updateData().

uint32_t orxonox::SynchronisableHeader::getCreatorID | ( |  | ) | const`[inline]`

Referenced by orxonox::Synchronisable::fabricate(), and orxonox::Synchronisable::updateData().

uint32_t orxonox::SynchronisableHeader::getDataSize | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::doSelection(), orxonox::Synchronisable::fabricate(), orxonox::packet::Gamestate::spreadData(), and orxonox::Synchronisable::updateData().

uint32_t orxonox::SynchronisableHeader::getObjectID | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::doSelection(), orxonox::Synchronisable::fabricate(), orxonox::Synchronisable::isMyData(), orxonox::packet::Gamestate::spreadData(), and orxonox::Synchronisable::updateData().

static uint32_t orxonox::SynchronisableHeader::getSize | ( |  | ) | `[inline, static]`

Referenced by orxonox::packet::Gamestate::doSelection(), orxonox::Synchronisable::getData(), orxonox::Synchronisable::getSize(), and orxonox::Synchronisable::updateData().

bool orxonox::SynchronisableHeader::isDataAvailable | ( |  | ) | const`[inline]`

Referenced by orxonox::packet::Gamestate::doSelection(), orxonox::Synchronisable::fabricate(), orxonox::Synchronisable::isMyData(), and orxonox::Synchronisable::updateData().

void orxonox::SynchronisableHeader::operator= | ( | SynchronisableHeader & | h | ) | `[inline]`

References data_.

void orxonox::SynchronisableHeader::setClassID | ( | uint32_t | classID | ) | `[inline]`

Referenced by orxonox::Synchronisable::getData().

void orxonox::SynchronisableHeader::setCreatorID | ( | uint32_t | creatorID | ) | `[inline]`

Referenced by orxonox::Synchronisable::getData().

void orxonox::SynchronisableHeader::setDataAvailable | ( | bool | b | ) | `[inline]`

Referenced by orxonox::packet::Gamestate::doSelection(), and orxonox::Synchronisable::getData().

void orxonox::SynchronisableHeader::setDataSize | ( | uint32_t | size | ) | `[inline]`

Referenced by orxonox::Synchronisable::getData().

void orxonox::SynchronisableHeader::setObjectID | ( | uint32_t | objectID | ) | `[inline]`

Referenced by orxonox::Synchronisable::getData().

## Member Data Documentation

uint8_t* orxonox::SynchronisableHeader::data_`[private]`

Referenced by operator=().

The documentation for this class was generated from the following file:

- src/network/synchronisable/Synchronisable.h